Summary:	UML2 tool box to specify and generate code in C++, Java and IDL
Name:		bouml
Version:	2.32
Release:	1%{?dist}
License:	GPLv2+
Group:		Development/Tools
URL:		http://bouml.free.fr/
Source0:	http://bouml.free.fr/%{name}_%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	hicolor-icon-theme

BuildRequires:	desktop-file-utils
BuildRequires:	qt-devel

%description
BOUML is a Unified Modeling Language editor for Qt. You can use it to create
nearly all of UML diagrams. BOUML can generate code from those diagrams in
C++, Java and IDL, and can also reverse existing code.

The program supports class diagrams, sequence diagrams, collaboration
diagrams, object diagrams, use case diagrams, component diagrams, state
diagrams, activity diagrams, component diagrams and deployment diagrams.

%prep
%setup -q -n %{name}_%{version}

%build
# To prevent failure on ppc64 and x86_64.
make %{?_smp_mflags} BOUML_LIB=%{_libdir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT

# To prevent failure on ppc64 and x86_64.
make install BOUML_LIB=%{_libdir}/%{name} DESTDIR=$RPM_BUILD_ROOT

# Symlinks need to be relative.
pushd $RPM_BUILD_ROOT%{_bindir}
  unlink projectControl
  unlink projectSynchro
  ln -s ../%{_lib}/%{name}/projectControl projectControl
  ln -s ../%{_lib}/%{name}/projectSynchro projectSynchro
popd

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/projectControl.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/projectSynchro.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch  --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc historic.html licence.txt
%{_bindir}/%{name}
%{_bindir}/projectControl
%{_bindir}/projectSynchro
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/applications/fedora-projectControl.desktop
%{_datadir}/applications/fedora-projectSynchro.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/projectControl.png
%{_datadir}/icons/hicolor/16x16/apps/projectSynchro.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/projectControl.png
%{_datadir}/icons/hicolor/32x32/apps/projectSynchro.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/projectControl.png
%{_datadir}/icons/hicolor/48x48/apps/projectSynchro.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/projectControl.png
%{_datadir}/icons/hicolor/64x64/apps/projectSynchro.png

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%changelog
* Thu Oct 11 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.32-1
- Version bump to 2.32. Closes Red Hat Bugzilla bug #303721.

* Wed Oct 03 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.3-1
- Version bump to 2.31.3. Closes Red Hat Bugzilla bug #292541.

* Fri Sep 14 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.2-1
- Version bump to 2.31.2. Closes Red Hat Bugzilla bug #286661.

* Thu Sep 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.1-1
- Version bump to 2.31.1.

* Wed Aug 22 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30.2-1
- Version bump to 2.30.2.
- Cleaned up SPEC.

* Sat Aug 04 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30.1-1
- Version bump to 2.30.1.
- Changed value of License according to Fedora licensing guidelines.
- Executable bits turned off for C++ sources by upstream.
- Application removed from Categories by upstream.

* Thu Aug 02 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30-1
- Version bump to 2.30.
- Removed Application from Categories.

* Sun Jul 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-3
- Fixed build and install stanza to prevent failure on ppc64 and x86_64.
- Added 'Requires: hicolor-icon-theme'.
- Fixed 'gtk-update-icon-cache' in the post[un] scriptlets.
- Removed 'update-desktop-database' from the post[un] scriptlets.

* Fri Jul 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-2
- Modified the summary.
- Replaced lib with _lib.

* Fri Jul 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-1
- Version bump to 2.29.1.

* Sun Jul 08 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29-1
- Version bump to 2.29.

* Wed Jun 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.27-1
- Initial build.
